<template lang="pug">
  .custom-navigation
    img.arrow.left(src="~/assets/img/paint/arrow-right.webp", @click='triggerPageAdvance("backward")')
    img.arrow.right(src="~/assets/img/paint/arrow-right.webp", @click='triggerPageAdvance("forward")')
</template>

<script>
export default {
  name: 'CustomNavigation',
  inject: ['carousel'],
  computed: {
    /**
     * @return {Boolean} Can the slider move forward?
     */
    canAdvanceForward() {
      return this.carousel.canAdvanceForward || false
    },
    /**
     * @return {Boolean} Can the slider move backward?
     */
    canAdvanceBackward() {
      return this.carousel.canAdvanceBackward || false
    }
  },
  methods: {
    /**
     * Trigger page change on +/- 1 depending on the direction
     * @param {"backward"} [direction]
     * @return {void}
     */
    triggerPageAdvance(direction) {
      /**
       * @event paginationclick
       * @type {string}
       */
      this.$emit('navigationclick', direction)
    }
  }
}
</script>

<style lang="scss">
img.arrow {
  position: absolute;

  height: 4em;
  width: 2.5em;

  flex: 0 0;
  flex-basis: 2.5em;

  margin-top: auto;
  margin-bottom: auto;
  top: 0;
  bottom: 0;

  cursor: pointer;

  &.right {
    right: 0;
  }

  &.left {
    left: 0;
    transform: rotateY(180deg);
  }
}
</style>
